/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.entity;

import java.io.Serializable;

/**
 * 车辆
 *
 * @author nichun
 */
public class CarRecordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 停车场编号
	 */
	private String parkCode;
	/**
	 * 过车信息唯一标识
	 */
	private String uniqueNo;

	/**
	 * 过车行驶方向 0 入场过车  1出场过车
	 */
	private int direction;
	/**
	 * 车牌号码
	 */
	private String plateNo;
	/**
	 * 卡号
	 */
	private String cardNo;

	/**
	 * 通行时间 yyyy-MM-dd HH:mm:ss
	 */
	private String passTime;

	/**
	 * 车辆类型
	 */
	private int vehType;

	/**
	 * 车辆颜色
	 */
	private int vehColor;

	/**
	 * 操作员账号
	 */
	private String operatorName;

	/**
	 * 放行的终端编号
	 */
	private String terminalNo;

	/**
	 * 出入口名称
	 */
	private String gateName;

	/**
	 * 放行车道名称
	 */
	private String laneName;

	/**
	 * (可选)出场对应的入场时间 yyyy-MM-dd HH:mm:ss
	 */
	private String inPassTime;

	/**
	 * (可选)出场对应的入场车辆唯一编号
	 */
	private String inUniqueNo;

	/**
	 * (可选)出场应付金额 单位:分
	 */
	private int shouldPay;

	/**
	 * (可选)出场实付金额 单位:分
	 */
	private int actualPay;

	/**
	 * 过车图片相对路径
	 */
	private String picFilePath;

	/**
	 * 车牌图片相对路径
	 */
	private String picPlateFilePath;

	/**
	 * 过车图片数据 (可选)base64
	 */
	private String picVehicleFileData;

	/**
	 * 车牌图片数据 (可选)base64
	 */
	private String picPlateFileData;

	/**
	 * 数据类型 0 实时数据 1历史数据
	 */
	private int dataType;

	public String getParkCode() {
		return parkCode;
	}

	public void setParkCode(String parkCode) {
		this.parkCode = parkCode;
	}

	public String getUniqueNo() {
		return uniqueNo;
	}

	public void setUniqueNo(String uniqueNo) {
		this.uniqueNo = uniqueNo;
	}

	public int getDirection() {
		return direction;
	}

	public void setDirection(int direction) {
		this.direction = direction;
	}

	public String getPlateNo() {
		return plateNo;
	}

	public void setPlateNo(String plateNo) {
		this.plateNo = plateNo;
	}

	public String getCardNo() {
		return cardNo;
	}

	public void setCardNo(String cardNo) {
		this.cardNo = cardNo;
	}

	public String getPassTime() {
		return passTime;
	}

	public void setPassTime(String passTime) {
		this.passTime = passTime;
	}

	public int getVehType() {
		return vehType;
	}

	public void setVehType(int vehType) {
		this.vehType = vehType;
	}

	public int getVehColor() {
		return vehColor;
	}

	public void setVehColor(int vehColor) {
		this.vehColor = vehColor;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public String getTerminalNo() {
		return terminalNo;
	}

	public void setTerminalNo(String terminalNo) {
		this.terminalNo = terminalNo;
	}

	public String getGateName() {
		return gateName;
	}

	public void setGateName(String gateName) {
		this.gateName = gateName;
	}

	public String getLaneName() {
		return laneName;
	}

	public void setLaneName(String laneName) {
		this.laneName = laneName;
	}

	public String getInPassTime() {
		return inPassTime;
	}

	public void setInPassTime(String inPassTime) {
		this.inPassTime = inPassTime;
	}

	public String getInUniqueNo() {
		return inUniqueNo;
	}

	public void setInUniqueNo(String inUniqueNo) {
		this.inUniqueNo = inUniqueNo;
	}

	public int getShouldPay() {
		return shouldPay;
	}

	public void setShouldPay(int shouldPay) {
		this.shouldPay = shouldPay;
	}

	public int getActualPay() {
		return actualPay;
	}

	public void setActualPay(int actualPay) {
		this.actualPay = actualPay;
	}

	public String getPicFilePath() {
		return picFilePath;
	}

	public void setPicFilePath(String picFilePath) {
		this.picFilePath = picFilePath;
	}

	public String getPicPlateFilePath() {
		return picPlateFilePath;
	}

	public void setPicPlateFilePath(String picPlateFilePath) {
		this.picPlateFilePath = picPlateFilePath;
	}

	public String getPicVehicleFileData() {
		return picVehicleFileData;
	}

	public void setPicVehicleFileData(String picVehicleFileData) {
		this.picVehicleFileData = picVehicleFileData;
	}

	public String getPicPlateFileData() {
		return picPlateFileData;
	}

	public void setPicPlateFileData(String picPlateFileData) {
		this.picPlateFileData = picPlateFileData;
	}

	public int getDataType() {
		return dataType;
	}

	public void setDataType(int dataType) {
		this.dataType = dataType;
	}

	@Override
	public String toString() {
		return "CarRecordEntity{" +
				"parkCode='" + parkCode + '\'' +
				", uniqueNo='" + uniqueNo + '\'' +
				", direction=" + direction +
				", plateNo='" + plateNo + '\'' +
				", cardNo='" + cardNo + '\'' +
				", passTime='" + passTime + '\'' +
				", vehType=" + vehType +
				", vehColor=" + vehColor +
				", operatorName='" + operatorName + '\'' +
				", terminalNo='" + terminalNo + '\'' +
				", gateName='" + gateName + '\'' +
				", laneName='" + laneName + '\'' +
				", inPassTime='" + inPassTime + '\'' +
				", inUniqueNo='" + inUniqueNo + '\'' +
				", shouldPay=" + shouldPay +
				", actualPay=" + actualPay +
				", picFilePath='" + picFilePath + '\'' +
				", picPlateFilePath='" + picPlateFilePath + '\'' +
				", picVehicleFileData='" + picVehicleFileData + '\'' +
				", picPlateFileData='" + picPlateFileData + '\'' +
				", dataType=" + dataType +
				'}';
	}
}
